<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="style/index.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,700;1,400&display=swap"
          rel="stylesheet">
    <title>Samouczek CSS</title>
</head>
<body>
<div class="bar"><h1>Samouczek CSS</h1></div>
<div class="grid-text-wrapper">
    <div class="grid-text-container">
        <h2>Podstawy CSS</h2>
        <div class="text">
            <p>Podobnie jak HTML, CSS nie jest językiem programowania. Nie jest jednak też językiem znaczników — jest
                językiem arkuszy stylów. Oznacza to, że pozwala on selektywnie stosować style do
                elementów w dokumentach HTML. Na przykład, aby zaznaczyć wszystkie paragrafy na stronie HTML i zmienić w
                nich kolor tekstu na czerwono, należy napisać ten kod CSS:</p>
            <pre class="code-container-css"><code><span class="selector">p</span> <span class="punctuation">{</span>
  <span class="property">color</span><span class="punctuation">:</span> <span class="property-value">red</span><span
                        class="punctuation">;
}</span></code></pre>
            <div class="page-examples" id="selector-example-1">
                <p class="red">Paragraf 1</p>
                <p class="red">Paragraf 2</p>
                <p class="red">Paragraf 3</p>
            </div>
            <p>Aby kod zadziałał, należy powiązać nasz arkusz styli z plikiem HTML, robimy to wpisując tę linijkę kodu w
                elemencie <code>&lthead&gt</code> :</p>
            <pre class="code-container-html"><code><span class="punctuation">&lt</span><span
                    class="tag">link</span> <span
                    class="attribute">href</span><span class="attribute-value">="style.css"</span> <span
                    class="attribute">rel</span><span
                    class="attribute-value">="stylesheet"</span><span class="punctuation">&gt</span></code></pre>
            <p>Można także zastosować style selektorem <code>.class</code> (wiele użyć) lub <code>#id</code> (jedno
                użycie).</p>
            <pre class="code-container-css"><code><span class="selector-class">.red</span> <span
                    class="punctuation">{</span>
  <span class="property">color</span><span class="punctuation">:</span> <span class="property-value">red</span><span
                        class="punctuation">;
}

<span class="selector-id">#blue</span> <span class="punctuation">{</span>
  <span class="property">color</span><span class="punctuation">:</span> <span class="property-value">blue</span><span
                            class="punctuation">;
}</span></span></code></pre>
            <pre class="code-container-html"><code><span class="punctuation">&lt</span><span
                    class="tag">p</span> <span
                    class="attribute">class</span><span class="attribute-value">="red"</span><span class="punctuation">&gtParagraf 1</span><span
                    class="punctuation">&lt/</span><span
                    class="tag">p</span><span class="punctuation">&gt</span>
<span class="punctuation">&lt</span><span
                        class="tag">p</span> <span
                        class="attribute">id</span><span class="attribute-value">="blue"</span><span
                        class="punctuation">&gtParagraf 1</span><span
                        class="punctuation">&lt/</span><span
                        class="tag">p</span><span class="punctuation">&gt</span>
<span class="punctuation">&lt</span><span
                        class="tag">p</span> <span
                        class="attribute">class</span><span class="attribute-value">="red"</span><span
                        class="punctuation">&gtParagraf 1</span><span
                        class="punctuation">&lt/</span><span
                        class="tag">p</span><span class="punctuation">&gt</span></code></pre>
            <div class="page-examples" id="selector-example-2">
                <p class="red">Paragraf 1</p>
                <p id="blue">Paragraf 2</p>
                <p class="red">Paragraf 3</p>
            </div>
        </div>
        <h2>Kaskadowość CSS</h2>
        <div class="text">
            <p>Jeśli w dokumencie znajduje się kilka źródeł stylów, pierwszeństwo mają te, które znajdują się "bliżej"
                formatowanego elementu. Oddziaływanie stylów z arkuszy zewnętrznych może być modyfikowane przez style
                zdefiniowane w nagłówku dokumentu, to z kolei może być zmieniane przez style zdefiniowane bezpośrednio w
                ciele dokumentu (inline). Zatem priorytet ważności stylów (pierwszeństwo) wyglądałby tak:</p>
            <ol>
                <li>Styl lokalny (inline)
                    <pre class="code-container-html"><code><span class="punctuation">&lt</span><span
                            class="tag">p</span> <span
                            class="attribute">style</span><span class="attribute-value">="</span><span class="property">color</span><span
                            class="punctuation">:</span><span class="property-value">green</span><span
                            class="attribute-value">"</span><span class="punctuation">&gtParagraf&lt/</span><span
                            class="tag">p</span><span class="punctuation">&gt</span></code></pre>
                </li>
                <li>Wewnętrzny arkusz stylów
                    <pre class="code-container-html"><code><span class="punctuation">&lt</span><span
                            class="tag">style</span><span
                            class="punctuation">&gt</span>
<span class="selector">p</span> <span class="punctuation">{</span>
  <span class="property">color</span><span class="punctuation">:</span> <span class="property-value">green</span><span
                                class="punctuation">;
}</span>
<span class="punctuation">&lt/</span><span class="tag">style</span><span class="punctuation">&gt</span></code></pre>
                </li>
                <li>Zewnętrzny arkusz stylów
                    <pre class="code-container-css"><code><span class="selector">p</span> <span
                            class="punctuation">{</span>
  <span class="property">color</span><span class="punctuation">:</span> <span class="property-value">green</span><span
                                class="punctuation">;
}</span></code></pre>
                </li>
            </ol>
        </div>
        <h2>Formatowanie tesktu</h2>
        <div class="text">
            <p>Czcionkę w CSS można zmienić na wiele sposobów (<code>px</code>, <code>%</code>, <code>em</code>, <code>rem</code>
                itd.), poniżej są one przedstawione.</p>
            <ul>
                <li>
                    <dl>
                        <dt><code>xx-small</code>, <code>x-small</code>, <code>small</code>, <code>medium</code>, <code>large</code>,
                            <code>x-large</code>, <code>xx-large</code></dt>
                        <dd>Wartości te bazują na domyślnej wielkości czcionki rodzica, czyli <code>medium</code>.</dd>
                    </dl>
                    <div class="page-examples" id="font-size-example-1">
                        <p id="xx-small">Rozmiar czcionki: xx-small</p>
                        <p id="x-small">Rozmiar czcionki: x-small</p>
                        <p id="small">Rozmiar czcionki: small</p>
                        <p id="medium">Rozmiar czcionki: medium</p>
                        <p id="large">Rozmiar czcionki: large</p>
                        <p id="x-large">Rozmiar czcionki: x-large</p>
                        <p id="xx-large">Rozmiar czcionki: xx-large</p>
                    </div>
                </li>
                <li>
                    <dl>
                        <dt><code>em</code>, <code>rem</code></dt>
                        <dd>Mnożnik wielkości czcionki rodzica (<code>em</code>) lub elementu <code>&lthtml&gt</code>
                            (<code>rem</code> - domyślnie 10px).
                        </dd>
                    </dl>
                    <div class="page-examples" id="font-size-example-2">
                        <p id="em-2">Rozmiar czcionki: 2em</p>
                        <p id="em-1">Rozmiar czcionki: 1em</p>
                        <p id="em-half">Rozmiar czcionki: .5em</p>
                    </div>
                </li>
                <li>
                    <dl>
                        <dt><code>%</code></dt>
                        <dd>Podobnie jak <code>em</code>, jest mnożnikiem wielkości rodzica.</dd>
                    </dl>
                    <div class="page-examples" id="font-size-example-3">
                        <p id="percent-200">Rozmiar czcionki: 200%</p>
                        <p id="percent-100">Rozmiar czcionki: 100%</p>
                        <p id="percent-50">Rozmiar czcionki: 50%</p>
                    </div>
                </li>
            </ul>
        </div>
        <h2>Formatowanie tła</h2>
        <div class="text">
            <div class="grid-page-example-wrapper">
                                                <pre class="code-container-css"><code><span class="selector">div</span> <span
                                                        class="punctuation">{</span>
  <span class="property">background-color</span><span class="punctuation">:</span> <span
                                                            class="property-value">blue</span><span
                                                            class="punctuation">;</span>
  <span class="property">background-clip</span><span class="punctuation">:</span> <span
                                                            class="property-value">content-box</span><span
                                                            class="punctuation">;
}</span></code></pre>
                <pre class="code-container-css"><code><span class="selector">div</span> <span
                        class="punctuation">{</span>
  <span class="property">background-color</span><span class="punctuation">:</span> <span
                            class="property-value">red</span><span
                            class="punctuation">;</span>
  <span class="property">background-clip</span><span class="punctuation">:</span> <span
                            class="property-value">padding-box</span><span
                            class="punctuation">;
}</span></code></pre>
                <div class="page-examples-animated" id="background-example-1"></div>
                <div class="page-examples-animated" id="background-example-2"></div>
                <pre class="code-container-css"><code><span class="selector">div</span> <span
                        class="punctuation">{</span>
  <span class="property">background-image</span><span class="punctuation">:</span> <span
                            class="blue-property">url</span><span
                            class="punctuation">(</span><span class="attribute-value">"../assets/star.png"</span><span
                            class="punctuation">),
                   </span> <span class="blue-property">linear-gradient</span><span
                            class="punctuation">(</span><span
                            class="property-value">yellow</span><span
                            class="punctuation">, </span><span
                            class="property-value">red</span><span
                            class="punctuation">);</span><span class="punctuation">
  <span class="property">background-size</span><span class="punctuation">:</span> <span
                            class="property-value">50px</span><span
                            class="punctuation">;</span>
}</span></code></pre>
                <pre class="code-container-css scroll-x"><code><span class="selector">div</span> <span
                        class="punctuation">{</span>
  <span class="property">background-image</span><span class="punctuation">:</span> <span
                            class="blue-property">url</span><span
                            class="punctuation">(</span><span class="attribute-value">"../assets/star.png"</span><span
                            class="punctuation">),
                   </span> <span class="blue-property">radial-gradient</span><span
                            class="punctuation">(</span><span
                            class="property-value">purple</span><span
                            class="punctuation">, </span><span
                            class="property-value">white</span><span
                            class="punctuation">);</span><span class="punctuation">
  <span class="property">background-size</span><span class="punctuation">:</span> <span
                            class="property-value">100px</span><span
                            class="punctuation">;</span>
}</span></code></pre>
                <div class="page-examples-animated" id="background-example-3"></div>
                <div class="page-examples-animated" id="background-example-4"></div>
                <pre class="code-container-css scroll-x"><code><span class="selector">div</span> <span
                        class="punctuation">{</span>
  <span class="property">background-image</span><span class="punctuation">:</span> <span
                            class="blue-property">url</span><span
                            class="punctuation">(</span><span class="attribute-value">"../assets/star.png"</span><span
                            class="punctuation">),
                   </span> <span class="blue-property">linear-gradient</span><span
                            class="punctuation">(to </span><span
                            class="property-value">right</span><span
                            class="punctuation">, </span><span
                            class="property-value">green</span><span class="punctuation">, </span><span
                            class="property-value">brown</span><span
                            class="punctuation">);</span>
  <span class="property">background-size</span><span class="punctuation">:</span> <span
                            class="property-value">50px</span><span
                            class="punctuation">;</span>
  <span class="property">background-repeat</span><span class="punctuation">:</span> <span
                            class="property-value">space</span><span
                            class="punctuation">;</span>
  <span class="property">background-position</span><span class="punctuation">:</span> <span
                            class="property-value">bottom</span><span
                            class="punctuation">;
}</span></code></pre>
                <pre class="code-container-css scroll-x"><code><span class="selector">div</span> <span
                        class="punctuation">{</span>
  <span class="property">background-image</span><span class="punctuation">:</span> <span
                            class="blue-property">url</span><span
                            class="punctuation">(</span><span class="attribute-value">"../assets/star.png"</span><span
                            class="punctuation">),
                   </span> <span class="blue-property">radial-gradient</span><span
                            class="punctuation">(</span><span
                            class="property-value">circle at 100</span><span class="blue-property">% -</span><span
                            class="property-value">100</span><span class="blue-property">%</span><span
                            class="punctuation">, </span><span
                            class="property-value">yellow</span><span class="punctuation">, </span><span
                            class="property-value">red</span><span
                            class="punctuation">);</span>
  <span class="property">background-size</span><span class="punctuation">:</span> <span
                            class="property-value">200px</span><span
                            class="punctuation">;</span>
  <span class="property">background-repeat</span><span class="punctuation">:</span> <span
                            class="property-value">repeat-x</span><span
                            class="punctuation">;</span>
  <span class="property">background-position</span><span class="punctuation">:</span> <span
                            class="property-value">25</span><span class="blue-property">% </span><span
                            class="property-value">75</span><span class="blue-property">%</span><span
                            class="punctuation">;
}</span></code></pre>
                <div class="page-examples-animated" id="background-example-5"></div>
                <div class="page-examples-animated" id="background-example-6"></div>
            </div>
        </div>
        <h2>Listy</h2>
        <div class="text">
            <p>Element <code>&ltul&gt</code> reprezentuje nieuporządkowaną listę elementów.</p>
            <pre class="code-container-html"><code><span class="punctuation">&lt</span><span class="tag">ul</span><span
                    class="punctuation">&gt</span>
    <span class="punctuation">&lt</span><span class="tag">li</span><span class="punctuation">&gtPunkt 1<span
                        class="punctuation">&lt</span><span class="tag">li</span><span
                        class="punctuation">&gt</span></span>
    <span class="punctuation">&lt</span><span class="tag">li</span><span class="punctuation">&gtPunkt 2<span
                        class="punctuation">&lt</span><span class="tag">li</span><span
                        class="punctuation">&gt</span></span>
    <span class="punctuation">&lt</span><span class="tag">li</span><span class="punctuation">&gtPunkt 3<span
                        class="punctuation">&lt</span><span class="tag">li</span><span
                        class="punctuation">&gt</span></span>
<span class="punctuation">&lt</span><span class="tag">ul</span><span class="punctuation">&gt</span></code></pre>
            <div class="page-examples">
                <ul>
                    <li>Punkt 1</li>
                    <li>Punkt 2</li>
                    <li>Punkt 3</li>
                </ul>
            </div>
            <p>Pseudoelement <code>::marker</code> pozwala na zmianę wyglądu punktora listy.</p>
            <pre class="code-container-css"><code><span class="selector">li</span><span class="punctuation">::</span>marker <span
                    class="punctuation">{</span>
  <span class="property">color</span><span class="punctuation">: </span><span class="property-value">purple</span><span
                        class="punctuation">;</span>
  <span class="property">content</span><span class="punctuation">: </span><span class="attribute-value">"@"</span><span
                        class="punctuation">;</span>
<span class="punctuation">}</span></code></pre>
            <div class="page-examples" id="marker-example">
                <ul>
                    <li>Punkt 1</li>
                    <li>Punkt 2</li>
                    <li>Punkt 3</li>
                </ul>
            </div>
            <p>Element <code>&ltol&gt</code> reprezentuje uporządkowaną listę elementów.</p>
            <pre class="code-container-html"><code><span class="punctuation">&lt</span><span class="tag">ol</span><span
                    class="punctuation">&gt</span>
    <span class="punctuation">&lt</span><span class="tag">li</span><span class="punctuation">&gtPunkt 1<span
                        class="punctuation">&lt</span><span class="tag">li</span><span
                        class="punctuation">&gt</span></span>
    <span class="punctuation">&lt</span><span class="tag">li</span><span class="punctuation">&gtPunkt 2<span
                        class="punctuation">&lt</span><span class="tag">li</span><span
                        class="punctuation">&gt</span></span>
    <span class="punctuation">&lt</span><span class="tag">li</span><span class="punctuation">&gtPunkt 3<span
                        class="punctuation">&lt</span><span class="tag">li</span><span
                        class="punctuation">&gt</span></span>
<span class="punctuation">&lt</span><span class="tag">ol</span><span class="punctuation">&gt</span></code></pre>
            <div class="page-examples">
                <ol>
                    <li>Punkt 1</li>
                    <li>Punkt 2</li>
                    <li>Punkt 3</li>
                </ol>
            </div>
        </div>
        <h2>Obramowania</h2>
        <div class="text">
            <div class="grid-page-example-wrapper">
                <pre class="code-container-css"><code><span class="selector">div </span><span
                        class="punctuation">{</span>
  <span class="property">border</span><span class="punctuation">: </span><span
                            class="property-value">dashed red</span><span class="punctuation">;
}</span></code></pre>
                <pre class="code-container-css"><code><span class="selector">div </span><span
                        class="punctuation">{</span>
  <span class="property">border</span><span class="punctuation">: </span><span
                            class="property-value">1rem solid</span><span class="punctuation">;
}</span></code></pre>
                <div class="page-examples" id="border-example-1"></div>
                <div class="page-examples" id="border-example-2"></div>
                <pre class="code-container-css"><code><span class="selector">div </span><span
                        class="punctuation">{</span>
  <span class="property">border</span><span class="punctuation">: </span><span class="property-value">thic double darkcyan</span><span
                            class="punctuation">;
}</span></code></pre>
                <pre class="code-container-css"><code><span class="selector">div </span><span
                        class="punctuation">{</span>
  <span class="property">border</span><span class="punctuation">: </span><span class="property-value">4mm ridge <span
                            class="blue-property">rgba</span><span class="punctuation">(</span><span
                            class="property-value">170</span><span class="punctuation">, </span><span
                            class="property-value">50</span><span class="punctuation">, </span><span
                            class="property-value">220</span><span class="punctuation">, </span>.6</span><span
                            class="punctuation">);
}</span></code></pre>
                <div class="page-examples" id="border-example-3"></div>
                <div class="page-examples" id="border-example-4"></div>
            </div>
        </div>
    </div>
</div>
</body>
</html>